using System;
using System.Text;

namespace Zadaci
{
    class Program
    {
        static void Main(string[] args)
        {
            char[] a = Console.ReadLine().ToCharArray();
            char[] b = Console.ReadLine().ToCharArray();
            StringBuilder sb = new StringBuilder(0);
            int max = Math.Max(a.Length, b.Length);
            int min = Math.Min(a.Length, b.Length);
            for (int i = 0,j = -1; i < max; i++)
            {
                if (max - min - i <= 0) j++;
                if (a.Length > b.Length)
                {
                    if (j >= 0 && a[i] > b[j])
                    {
                        sb.Append(a[i]);
                    }else if (j>=0 && a[i] < b[j])
                    {
                        sb.Append(b[j]);
                    }
                    else if(j>=0 && a[i] == b[j])
                    {
                        sb.Append(a[i]);
                        sb.Append(b[j]);
                    }
                    else if (j<0) sb.Append(a[i]);
                }
                if (a.Length <= b.Length)
                {
                    if (j >= 0 && a[j] > b[i])
                    {
                        sb.Append(a[j]);
                    }
                    else if (j >= 0 && a[j] < b[i])
                    {
                        sb.Append(b[i]);
                    }
                    else if (j >= 0 && a[j] == b[i])
                    {
                        sb.Append(a[j]);
                        sb.Append(b[i]);
                    }
                    else if (j < 0) sb.Append(b[i]);
                }
            }
            Console.WriteLine(sb);
        }
    }
}